CREATE TABLE IF NOT EXISTS roles (
    role TEXT PRIMARY KEY
);

INSERT INTO roles (role) VALUES
('USER'),
('ADMIN');

CREATE TABLE IF NOT EXISTS users (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    email TEXT NOT NULL UNIQUE,
    password TEXT NOT NULL,
    role TEXT REFERENCES roles(role) ON UPDATE CASCADE DEFAULT 'USER',
    created_at TIMESTAMPTZ NOT NULL DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMPTZ NOT NULL DEFAULT CURRENT_TIMESTAMP
);
